package presentation;

@javax.inject.Named("criminal_case_converter") // Injecté dans la page 'Incarcerate.xhtml'...
@javax.faces.convert.FacesConverter(value = "criminal_cases")
@javax.enterprise.context.RequestScoped // Si le scope n'est pas défini, le "converter" n'est pas accessible !
public class Criminal_case_converter implements javax.faces.convert.Converter/*<persistence.Criminal_casePK>*/ {

    @Override
    public persistence.Criminal_casePK getAsObject(javax.faces.context.FacesContext fc, javax.faces.component.UIComponent uic, String value) {
        if (!value.equals("-1")) {
            return persistence.Criminal_casePK.To_criminal_casePK(value);
        }
        return null;
    }

    @Override
    public String getAsString(javax.faces.context.FacesContext fc, javax.faces.component.UIComponent uic, Object object) {
        return object.toString();
    }
}
